3.6.1p2 - UsePAM & challenge response

Markus Friedl markus at openbsd.org
Sun Sep 14 01:31:08 EST 2003

hi, i don't understand how 3.6.1p2 breaks ssh1....

On Fri, Sep 12, 2003 at 10:27:15AM -0700, Mike Bethune wrote:
> Hello,
> the new way this works breaks windows ssh clients using v1 (I know, who cares :)
> since when these options are enabled and you connect w/v1, the server asks:
> Password:
> Response: 
> and I guess these clients (tested putty, pscp, vandyke) expect just "Password:"
> v2 is fine though.  But it's still a pain because I have customers who need v1 or are too dumb to select v2 in their client.  Also, pscp only uses v1 as far as I can see :(
> (Sorry if there's already discussion on this, I didn't find any but the issue is probably known since even I noticed it back in June.)
> Thanks,
> Mike

More information about the openssh-unix-dev mailing list